# L-systems in Rust

Renderings of various L-systems using Rust and Cairo. Special thanks goes to [Paul Bourke](http://paulbourke.net/fractals/lsys/) and the [L-systems Wikipedia page](https://en.wikipedia.org/wiki/L-system) for the systems below

## Sierpinski Triangle
![sierpinski](out/sierpinski.svg)

## Sierpinski Arrowhead
![arrowhead](out/arrowhead.svg)

## Koch Curve
![koch](out/koch.svg)

## Dragon Curve
![dragon](out/dragon.svg)

## Fractal Plant (Wikipedia)
![plant](out/plant.svg)

## Moore Curve
![moore](out/moore.svg)

## Hilbert Curve
![hilbert](out/hilbert.svg)

## Sierpinski Carpet
![sierpinski_capret](out/sierpinski_carpet.svg)

## Koch Snowflake
![snowflake](out/snowflake.svg)

## Hexagonal Gosper
![gosper](out/gosper.svg)

## Kolam
![kolam](out/kolam.svg)

## Crystal
![crystal](out/crystal.svg)
